<template>
    <div class="the-edit-bar-button-group the-edit-bar-align-controls">
        <AlignLeft :editor="editor"/>
        <AlignCenter :editor="editor"/>
        <AlignRight :editor="editor"/>
    </div>
</template>

<script setup lang="ts">
import makeButton from '../makeButton'
import makeIcon from '../makeIcon'
import type { TheEditor } from '../TheEditor'

defineProps<{
    editor?: TheEditor,
}>()

const AlignLeft = makeButton({
    title: 'align left',
    shortcut: 'Ctrl + Shift + L',
    content: makeIcon('alignLeft'),
    active: ed=>ed.isActive({textAlign: 'left'}),
    enabled: ed=>ed.can().setTextAlign('left'),
    action: ed => ed.chain().focus().setTextAlign('left').run()
})

const AlignRight = makeButton({
    title: 'align right',
    shortcut: 'Ctrl + Shift + R',
    content: makeIcon('alignRight'),
    active: ed=>ed.isActive({textAlign: 'right'}),
    enabled: ed=>ed.can().setTextAlign('right'),
    action: ed => ed.chain().focus().setTextAlign('right').run()
})

const AlignCenter = makeButton({
    title: 'align center',
    shortcut: 'Ctrl + Shift + E',
    content: makeIcon('alignCenter'),
    active: ed=>ed.isActive({textAlign: 'center'}),
    enabled: ed=>ed.can().setTextAlign('center'),
    action: ed => ed.chain().focus().setTextAlign('center').run()
})


</script>